/*	$Id: sa11x1_var.h,v 1.3 2008/03/05 11:23:21 nbrk Exp $	*/
/*	$OpenBSD: sa11x0_var.h,v 1.3 2005/01/04 02:08:41 drahn Exp $ */
/*      $NetBSD: sa11x0_var.h,v 1.4 2003/04/14 14:18:41 rjs Exp $        */

/*-
 * Copyright (c) 2001, The NetBSD Foundation, Inc.  All rights reserved.
 *
 * This code is derived from software contributed to The NetBSD Foundation
 * by IWAMOTO Toshihiro and Ichiro FUKUHARA.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the NetBSD
 *      Foundation, Inc. and its contributors.
 * 4. Neither the name of The NetBSD Foundation nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifndef _SA11X1_VAR_H
#define _SA11X1_VAR_H

#include <sys/conf.h>
#include <sys/device.h>

#include <machine/bus.h>

struct sacc_softc {
	struct device sc_dev;

	/* our interrupt on SA1110 (usually, intr 0 - GPIO pin 0) */
	int	sc_intr;

	/* our own bus/dma tags (note that we needn't parent iot) */
	bus_space_tag_t sc_bust;
	bus_dma_tag_t sc_dmat;

	/* onboard peripheral space (12 units * 128 words) */
	bus_space_handle_t	sc_ioh;
};

struct sacc_attach_args {
	bus_space_tag_t	sac_iot;
	bus_dma_tag_t	sac_dmat;

	/* we export whole i/o space */
	bus_space_handle_t	sac_bush;
	/* interrupt on the SA1111 INTC */
	int	sac_xintr;

/*	int	sac_gpio; XXX */

	/* device type (for subsequent matches) */
	int	sac_typecookie;
};
/* peripheral types */
#define SACC_TYPE_SBI	0x00
#define SACC_TYPE_SK	0x01
#define SACC_TYPE_USB	0x02
#define SACC_TYPE_AUDIO	0x03
#define SACC_TYPE_SSP	0x04
#define SACC_TYPE_TRACK	0x05
#define SACC_TYPE_MOUSE	0x06
#define SACC_TYPE_GPIO	0x07
#define SACC_TYPE_INTC	0x08
#define SACC_TYPE_PCIC	0x09


extern struct bus_space	sa11x1_bs_tag;
//extern struct arm32_bus_dma_tag	sa11x0_bus_dma_tag;

#endif /* _SA11X1_VAR_H */
